package jedi

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type DemoTestRequest struct {
	*requests.RpcRequest
	Param1    string `position:"Query" field:"param_1" default:"" `
	Param2    int    `position:"Query" field:"param_2" default:"10086" `
	Param3    bool   `position:"Query" field:"param_3" default:"false" `
	ParamBody string `position:"Body" field:"param_body" default:"foobar" `
}

func CreateDemoTestRequest() (req *DemoTestRequest) {
	req = &DemoTestRequest{RpcRequest: &requests.RpcRequest{}}
	req.InitWithApiInfo(HOST, VERSION, "/api/sms/Index")
	req.Method = requests.POST
	return
}

type DemoTestResponse struct {
	*responses.BaseResponse
	Data DemoTestResponseData `json:"data"`
}

type DemoTestResponseData struct {
	Account string `json:"account"`
	Total   int    `json:"total"`
}

func CreateDemoTestResponse() *DemoTestResponse {
	return &DemoTestResponse{
		BaseResponse: &responses.BaseResponse{},
	}
}
